Subject: Problem with secure ftp being slow

From: Kelly Climer <[email-masked]>
Date: Fri, 31 Oct 1997 12:04:55 -0500

I setup wu-ftpd on a Sparc 5 running Solaris 2.5.1.  It works fine for a
root login but not for "joe" user.

Joe user is forced into a secure area like an anonymous user so that
they can't pillage the machine.  The problem is that the "ls" command
takes 2 to 4 minutes to respond.  Upload and download work fine and if
you ftp as root it works great.

I copied all of the lib's recommended in the Solaris doc.
After that didn't work I got GNU ls and loaded that in the ~ftp/bin
   directory and that didn't help.

I have been using truss to trace that commands and it looks like on of
the reads just before the output is going to sleep.

Any ideas?

Thanks,
Kelly Climer
Network Operations Manager
Voyager Information Networks